#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       qubes-desktop-linux-manager
Version:	4.1.14
Release:	1%{dist}
Summary:	Qubes UI Applications

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  gettext

Requires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-gbulb
Requires:  python%{python3_pkgversion}-inotify
Requires:  libappindicator-gtk3
Requires:  python%{python3_pkgversion}-systemd
Requires:  gtk3
Requires:  python%{python3_pkgversion}-qubesadmin >= 4.1.8
%if !0%{?vm_package}
# FIXME: we need some way for applying updates from GUI VM
Requires:  qubes-mgmt-salt-dom0-update >= 4.0.5
%endif
Requires:  qubes-artwork >= 4.1.5

Provides:   qui = %{version}-%{release}
Obsoletes:  qui < 4.0.0


%description
A collection of GUI application for enhancing the Qubes UX.

%prep
%setup

%build
%py3_build

%install
%py3_install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%defattr(-,root,root,-)

%dir %{python3_sitelib}/qui-*.egg-info
%{python3_sitelib}/qui-*.egg-info/*


%dir %{python3_sitelib}/qui
%dir %{python3_sitelib}/qui/__pycache__
%{python3_sitelib}/qui/__pycache__/*
%{python3_sitelib}/qui/__init__.py
%{python3_sitelib}/qui/decorators.py
%{python3_sitelib}/qui/clipboard.py
%{python3_sitelib}/qui/updater.py
%{python3_sitelib}/qui/updater.glade

%dir %{python3_sitelib}/qui/tray/
%dir %{python3_sitelib}/qui/tray/__pycache__
%{python3_sitelib}/qui/tray/__pycache__/*
%{python3_sitelib}/qui/tray/__init__.py
%{python3_sitelib}/qui/tray/domains.py
%{python3_sitelib}/qui/tray/devices.py
%{python3_sitelib}/qui/tray/disk_space.py
%{python3_sitelib}/qui/tray/updates.py

%{_bindir}/qui-domains
%{_bindir}/qui-devices
%{_bindir}/qui-disk-space
%{_bindir}/qui-updates
%{_bindir}/qui-clipboard
%{_bindir}/qubes-update-gui
/etc/xdg/autostart/qui-domains.desktop
/etc/xdg/autostart/qui-devices.desktop
/etc/xdg/autostart/qui-clipboard.desktop
/etc/xdg/autostart/qui-disk-space.desktop
/etc/xdg/autostart/qui-updates.desktop
/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
/usr/share/icons/Adwaita/22x22/status/outdated.png
/usr/share/applications/qubes-update-gui.desktop
/usr/bin/widget-wrapper
/lib/systemd/user/qubes-widget@.service
/usr/share/locale/en/LC_MESSAGES/desktop-linux-manager.mo
/usr/share/locale/pl/LC_MESSAGES/desktop-linux-manager.mo

/usr/share/icons/hicolor/16x16/apps/qui-domains.png
/usr/share/icons/hicolor/24x24/apps/qui-domains.png
/usr/share/icons/hicolor/32x32/apps/qui-domains.png
/usr/share/icons/hicolor/40x40/apps/qui-domains.png
/usr/share/icons/hicolor/48x48/apps/qui-domains.png
/usr/share/icons/hicolor/72x72/apps/qui-domains.png
/usr/share/icons/hicolor/96x96/apps/qui-domains.png
/usr/share/icons/hicolor/128x128/apps/qui-domains.png

%changelog
* Thu May 12 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-manager.git

* Thu May 12 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5da41e1
- version 4.1.14

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2ff4187
- .qubesbuilder: replace 'spec' by 'build'

* Thu May 05 2022 noskb <63541981+noskb@users.noreply.github.com> - 2458a29
- clipboard: Close fd properly

* Thu Apr 21 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4d4bdeb
- Adjust for updated pylint

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a75e850
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 33b6001
- Drop Travis CI

* Sun Apr 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33745d3
- version 4.1.13

* Sat Apr 02 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 51676c8
- Ignore pylint's consider-using-with

* Wed Mar 30 2022 unman <unman@thirdeyesecurity.org> - 04063b8
- Dont error on os.makedirs if the directory already exists

* Sun Mar 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e40fe4f
- Refresh domains states when events connection is established

* Sun Feb 27 2022 Rusty Bird <rustybird@net-c.com> - ec9b28d
- domains: don't put routine actions next to dangerous actions

* Sun Feb 27 2022 Rusty Bird <rustybird@net-c.com> - 034ccba
- domains: hide Run Terminal action in paused submenu

* Sun Feb 27 2022 Rusty Bird <rustybird@net-c.com> - 85d7d09
- domains: hide Restart action for auto_cleanup DispVM

* Sat Feb 19 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 39bff88
- version 4.1.12

* Sat Feb 19 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3c88dca
- Missing "fixes" tag

* Sat Feb 19 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22e02c2
- Fix trailing space

* Thu Jan 13 2022 AmCrNi <AmCrNi@users.noreply.github.com> - b46f45f
- Update disk_space.py

* Wed Jan 12 2022 AmCrNi <AmCrNi@users.noreply.github.com> - dde5f5d
- Update disk_space.py

* Fri Dec 31 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - b98d28c
- Add missing dependency of the clipboard widget

* Fri Dec 31 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - c1a9268
- Fix typo: widet -> widget

* Fri Dec 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 262d693
- version 4.1.11

* Sat Nov 13 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 41847f1
- Guard reading clipboard source name with a lock

* Fri Nov 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5c9eee4
- Factor out appviewer lock to context manager

* Fri Nov 12 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 58ba124
- Make message about cancelling updates more understandable

* Mon Nov 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 69e03a7
- version 4.1.10

* Mon Nov 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9e6e3a2
- Update locale po files.

* Mon Nov 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e408612
- Update update_translations.sh script

* Thu Oct 14 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b408de6
- rpm: add BR python3-setuptools

* Wed Sep 08 2021 Andrew David Wong <adw@andrewdavidwong.com> - ca1bc35
- Improve language

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76c940a
- version 4.1.9

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 911ae40
- Use 'Qube' term in notifications, instead of 'Domain'

* Sun May 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d8ddb58
- version 4.1.8

* Sun May 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd47e6e
- restart: Use coroutine to call qvm-start, report errors

* Fri May 21 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6fabe3d
- Start widgets only in dom0 and guivm

* Thu May 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78bf15c
- rpm: skip qubes-mgmt-salt-dom0-update dependency in VM

* Thu May 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 536bd59
- rpm: make dependencies CentOS friendly

* Thu May 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bf76c68
- Add Debian packaging

* Thu May 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bf5e486
- Move custom install steps into Makefile

* Thu May 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e509b65
- Fix installing locales

* Thu May 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0e46985
- rpm: build for vm too

* Sat May 15 2021 herypt <70331266+herypt@users.noreply.github.com> - df23c1b
- Add updater to XFCE settings manager

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - baeacd4
- spec: add BR make

* Sat Apr 10 2021 3hhh <tripleh@hackingthe.net> - c1412d8
- Make pylint happy

* Fri Apr 09 2021 3hhh <tripleh@hackingthe.net> - b434287
- domains: Handle removal of VM during on_shutdown.

* Thu Jan 21 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - e43063f
- Improve outdatedness detection in qui-domains

* Wed Jan 20 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b687783
- Added scrollbars to qubes-update-gui

* Wed Jan 20 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 955eeb9
- Added VM restart to qui-domains

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9ce263e
- Rename 'notify' to 'send_notify' to not clobber GTK method

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73abacc
- gitlab-ci: add pylint job

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 773174c
- Add .gitlab-ci.yml

